aboutsummaryrefslogtreecommitdiffstats
path: root/coverity/coverity_test_osmo_trx.sh
diff options
context:
space:
mode:
Diffstat (limited to 'coverity/coverity_test_osmo_trx.sh')
-rwxr-xr-xcoverity/coverity_test_osmo_trx.sh41
1 files changed, 41 insertions, 0 deletions
diff --git a/coverity/coverity_test_osmo_trx.sh b/coverity/coverity_test_osmo_trx.sh
new file mode 100755
index 0000000..75da893
--- /dev/null
+++ b/coverity/coverity_test_osmo_trx.sh
@@ -0,0 +1,41 @@
+#!/usr/bin/env bash
+
+set -e -x
+
+export PATH=~/coverity/cov-analysis-linux64-8.5.0/bin/:$PATH
+export PKG_CONFIG_PATH=~/coverity/install/lib/pkgconfig
+
+do_build() {
+ git clean -dxf
+ git remote prune origin
+ git pull --rebase
+ autoreconf --install --force
+ ./configure --prefix=$HOME/coverity/install $*
+
+ cov-build --dir cov-int make
+ make install
+ tar czf myproject.tgz cov-int
+}
+
+do_upload() {
+ curl \
+ --form token=$2 \
+ --form email=holger@freyther.de --form file=@myproject.tgz \
+ --form version=Version --form description=AutoUpload \
+ https://scan.coverity.com/builds?project=$1
+ :
+}
+
+upload_osmotrx() {
+ pushd osmo-trx
+
+ do_build
+ #do_upload osmo-trx Insert-Coverity-Token-Here
+ popd
+}
+
+
+cd source
+
+upload_osmotrx
+